API
Print News Search Direct API
الصحف، المجلات، المنشورات التجارية، المخرجات التحريرية، التغطية الصحفية، وصحافة الطباعة.
مرجع API الإصدار: 1.0.0 4 نقاط النهاية المصادقة
عنوان URL الأساسي
https://api.pressmonitor.com المصادقة
تستخدم جميع الطلبات مصادقة رمز Bearer. أضف رأس Authorization إلى كل استدعاء.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | |
| lang_code | string | query | لا | |
| country_code | string | query | لا | |
| count | integer | query | لا | |
| cursor | string | query | لا | |
| sort | string | query | لا | Sort order (date or relevance) |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
أمثلة الشيفرة
curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/briefs بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | |
| lang_code | string | query | لا | |
| country_code | string | query | لا | |
| count | integer | query | لا | |
| cursor | string | query | لا | |
| sort | string | query | لا | Sort order (date or relevance) |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
أمثلة الشيفرة
curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/fulltext بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | |
| lang_code | string | query | لا | |
| country_code | string | query | لا | |
| count | integer | query | لا | |
| cursor | string | query | لا | |
| sort | string | query | لا | Sort order (date or relevance) |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
أمثلة الشيفرة
curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/clip بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| id | string | query | نعم | Clip/article ID to resolve |
| ns | string | query | نعم | Namespace prefix for multi-tenant index resolution |
| date | string | query | نعم | Date of the clip (YYYY-MM-DD) |
| host | string | query | لا | Host name for tenant resolution |
| ttl | integer | query | لا | Signed URL time-to-live in seconds |
أمثلة الشيفرة
curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&ns=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success